use dioxus::prelude::*;

use crate::{
    page::{item_detail::EventButton, HeaderTitle},
    ItemTile,
};

#[component]
pub fn ItemPage() -> Element {
    let items = use_resource(async || {
        let api = crate::API.read();
        let api = api.as_ref().unwrap();
        let items = api.get_items().await;

        items.iter().map(|x| x.clone()).collect::<Vec<_>>()
    });

    rsx! {
            HeaderTitle { title: "Items" }

            div {
                class: "pb-4",
                EventButton { icon: "qr_code_2", title: "Scan Transaction QR", onclick: move |_| {} }
            }

            // barcode scan button

    match &*items.read_unchecked() {
        Some(items) => rsx! {
            div {
                class: "flex flex-col divide-y divide-gray-200 dark:divide-gray-700",
                for item in items {
                    div {
                        class: "py-3 px-4 hover:bg-gray-100 dark:hover:bg-gray-800 transition cursor-pointer",
                        ItemTile { item: item.clone() }
                    }
                }
            }
        },
        None => rsx! {
            p { "Loading" }
        }
    }


        }
}
